Index: /trunk/fmgVen/src/net/fmg/ven/SorguEslestirici.java
===================================================================
--- /trunk/fmgVen/src/net/fmg/ven/SorguEslestirici.java	(revision 20)
+++ /trunk/fmgVen/src/net/fmg/ven/SorguEslestirici.java	(revision 30)
@@ -3,7 +3,7 @@
  *
  * Created on December 18, 2006, 10:40 AM
- * (4.12.06 tarihli SpringDaoDeneme çalýþmasýndan derlenmiþtir)
+ * (4.12.06 tarihli SpringDaoDeneme çalışmasından derlenmiştir)
  *
- * Ven - Ayar Yerine Gelenek veritabaný eriþim nesnesi
+ * Ven - Ayar Yerine Gelenek veritabanı erişim nesnesi
  */
 
@@ -30,5 +30,5 @@
 
 /**
- * 'Ayar yerine gelenek' yaklaþýmýnda üretilmiþ sorgunun sonucunu belirtilen nesneye eþler
+ * 'Ayar yerine gelenek' yaklaşımında üretilmiş sorgunun sonucunu belirtilen nesneye eşler
  * @author Fatih Mehmet Güler
  */
@@ -57,5 +57,5 @@
         long t1 = System.currentTimeMillis();
         final List sonuclar = new LinkedList();
-        final String tabloAdi = Cevir.vt(nesneSinifi.getSimpleName());
+        final String tabloAdi = Cevir.vt(Cevir.isim(nesneSinifi.getName()));
         final Set sutunlar = new HashSet();
         
@@ -67,5 +67,5 @@
         }
         );
-        System.out.println("Listeleme zamaný="+(System.currentTimeMillis()-t1));        
+        System.out.println("Listeleme zamanı="+(System.currentTimeMillis()-t1));        
         return sonuclar;
     }
@@ -73,20 +73,20 @@
     private void esle(ResultSet rs, Set sutunlar, String tabloAdi, Class nesneSinifi, List ustListe){
         try{
-            if (!sutunlar.contains(tabloAdi+"_no")) return; //bu nesne sütunlar arasýnda hiç yok
+            if (!sutunlar.contains(tabloAdi+"_no")) return; //bu nesne sütunlar arasında hiç yok
             Object no = rs.getObject(tabloAdi+"_no");
-            if (no==null) return; //bu nesne sütunlar arasýnda var ama null, muhtemelen left join den dolayý
-            BeanWrapper wr=new BeanWrapperImpl(nesneSinifi); //Zaten class introspectionunu saklýyor (CachedIntrospectionResults.forClass())
+            if (no==null) return; //bu nesne sütunlar arasında var ama null, muhtemelen left join den dolayı
+            BeanWrapper wr=new BeanWrapperImpl(nesneSinifi); //Zaten class introspectionunu saklıyor (CachedIntrospectionResults.forClass())
             wr.setPropertyValue("no",no);
             Object nesne = wr.getWrappedInstance();
             boolean esle = true;
-            for (Iterator it = ustListe.iterator(); it.hasNext();) { //listenin içinde indexOf ve get(i) ile birkaç kez dolaþmak yerinde bir kez dolaþmýþ olalým, onlar da ayný þeyi yapýyor çünkü.
+            for (Iterator it = ustListe.iterator(); it.hasNext();) { //listenin içinde indexOf ve get(i) ile birkaç kez dolaşmak yerinde bir kez dolaşmış olalım, onlar da aynı şeyi yapıyor çünkü.
                 Object listedekiNesne = (Object) it.next();
-                if (nesne.equals(listedekiNesne)){ //NOT: bunu no'larý karþýlaþtýrarak da yapabiliriz
-                    wr.setWrappedInstance(listedekiNesne); //listede zaten var onu kullanmalýyýz
-                    esle = false; // ve tekrar eþleme yapmamalýyýz
+                if (nesne.equals(listedekiNesne)){ //NOT: bunu no'ları karşılaştırarak da yapabiliriz
+                    wr.setWrappedInstance(listedekiNesne); //listede zaten var onu kullanmalıyız
+                    esle = false; // ve tekrar eşleme yapmamalıyız
                     break;
                 }
             }
-            if (esle) ustListe.add(nesne); //bulamadýk, yani listede yok bunu ekliyoruz
+            if (esle) ustListe.add(nesne); //bulamadık, yani listede yok bunu ekliyoruz
             PropertyDescriptor[] pdArr = wr.getPropertyDescriptors();
             for (int i = 0; i < pdArr.length; i++) {
@@ -95,10 +95,10 @@
                 Class alanSinifi = pd.getPropertyType();
                 String sutun = tabloAdi+"_"+alanAdi;
-                if (esle && vtSiniflari.contains(alanSinifi)){ //veritabaný nesneleri
+                if (esle && vtSiniflari.contains(alanSinifi)){ //veritabanı nesneleri
                     if(sutunlar.contains(sutun)){
                         if(hataAyiklama) System.out.println(">>alan bulundu "+sutun);
                         wr.setPropertyValue(pd.getName(),rs.getObject(sutun));
                     }else{
-                        if(hataAyiklama) System.out.println("--alan bulunamadý: "+sutun);
+                        if(hataAyiklama) System.out.println("--alan bulunamadı: "+sutun);
                     }
                 }
@@ -106,9 +106,9 @@
                     if(sutunlar.contains(sutun+"_no")){
                         if(hataAyiklama) System.out.println(">>nesne bulundu "+sutun);
-                        List list = new ArrayList(1); //tek sonuç olacaðýný biliyoruz
+                        List list = new ArrayList(1); //tek sonuç olacağını biliyoruz
                         esle(rs,sutunlar,sutun,alanSinifi,list);
                         if(list.size()>0)wr.setPropertyValue(pd.getName(),list.get(0));
                     }else{
-                        if(hataAyiklama) System.out.println("--nesne bulunamadý: "+sutun);
+                        if(hataAyiklama) System.out.println("--nesne bulunamadı: "+sutun);
                     }
                 }
@@ -119,10 +119,10 @@
                         esle(rs,sutunlar,sutun,bagNesneSinifi,(List)wr.getPropertyValue(pd.getName()));
                     }else{
-                        if(hataAyiklama) System.out.println("--liste bulunamadý: "+sutun);
+                        if(hataAyiklama) System.out.println("--liste bulunamadı: "+sutun);
                     }
                 }
                 
             }
-        } catch(SQLException ex){
+        } catch(Exception ex){
             ex.printStackTrace();
         }
Index: /trunk/fmgVen/src/net/fmg/ven/SorguUretici.java
===================================================================
--- /trunk/fmgVen/src/net/fmg/ven/SorguUretici.java	(revision 20)
+++ /trunk/fmgVen/src/net/fmg/ven/SorguUretici.java	(revision 30)
@@ -3,7 +3,7 @@
  *
  * Created on December 18, 2006, 9:32 AM
- * (4.12.06 tarihli SpringDaoDeneme çalýþmasýndan derlenmiþtir)
+ * (4.12.06 tarihli SpringDaoDeneme çalışmasından derlenmiştir)
  *
- * Ven - Ayar Yerine Gelenek veritabaný eriþim nesnesi
+ * Ven - Ayar Yerine Gelenek veritabanı erişim nesnesi
  */
 
@@ -23,5 +23,5 @@
 
 /**
- * Belirtilen sýnýfýn 'Ayar yerine gelenek' yaklaþýmýnda sorgusunu üretir
+ * Belirtilen sınıfın 'Ayar yerine gelenek' yaklaşımında sorgusunu üretir
  * @author Fatih Mehmet Güler
  */
@@ -50,14 +50,14 @@
         PropertyDescriptor[] pdArr = wr.getPropertyDescriptors();
         for (int i = 0; i < pdArr.length; i++) {
-            Class alanSinifi = pdArr[i].getPropertyType(); //alan sýnýfý
-            String sutunAdi = Cevir.vt(pdArr[i].getName()); //sütun adý
-            String alanAdi = pdArr[i].getName(); //alan adý
-            if (vtSiniflari.contains(alanSinifi)){ //veritabaný direk alan (Integer,String,Date, vs)
+            Class alanSinifi = pdArr[i].getPropertyType(); //alan sınıfı
+            String sutunAdi = Cevir.vt(pdArr[i].getName()); //sütun adı
+            String alanAdi = pdArr[i].getName(); //alan adı
+            if (vtSiniflari.contains(alanSinifi)){ //veritabanı direk alan (Integer,String,Date, vs)
                 selectCumlesi.append(tabloAdi+"."+sutunAdi+" as "+tabloAdi+"_"+sutunAdi); //sütun
                 selectCumlesi.append(", ");
             }
             if (alanSinifi.getPackage()!=null && nesnePaketleri.contains(alanSinifi.getPackage().getName()) && baglarKapsar(baglar,nesneYolu+"."+alanAdi)){ //domain nesnesi 1-1 join
-                String bagTablosuDigerAd = tabloAdi+"_"+sutunAdi; // bað tablosu için diðer ad, çünkü ayný isimde birden fazla bað olabilir, karýþmasýn
-                String bagTablosu = Cevir.vt(alanSinifi.getSimpleName());//gerçek bað tablosu
+                String bagTablosuDigerAd = tabloAdi+"_"+sutunAdi; // bağ tablosu için diğer ad, çünkü aynı isimde birden fazla bağ olabilir, karışmasın
+                String bagTablosu = Cevir.vt(Cevir.isim(alanSinifi.getName()));//gerçek bağ tablosu
                 fromCumlesi.append(" left join "+bagTablosu+" "+bagTablosuDigerAd);
                 fromCumlesi.append(" on "+bagTablosuDigerAd+".no = "+tabloAdi+"."+sutunAdi+"_no");
@@ -66,7 +66,7 @@
             if (wr.getPropertyValue(alanAdi) instanceof SinifBildirenLinkedList && baglarKapsar(baglar,nesneYolu+"."+alanAdi)){
                 Class cokluAlandakiNesneSinifi = (Class)wr.getPropertyValue(alanAdi+".nesneSinifi");
-                String bagTablosuDigerAd = tabloAdi+"_"+sutunAdi; // bað tablosu için diðer ad, çünkü ayný isimde birden fazla bað olabilir, karýþmasýn
-                String bagTablosu = Cevir.vt(cokluAlandakiNesneSinifi.getSimpleName());//gerçek bað tablosu
-                String bagAlani = Cevir.vt((String)wr.getPropertyValue(alanAdi+".bagAlani")); //YAP: bunu vermeden de varsayýlan birþey yapsýn
+                String bagTablosuDigerAd = tabloAdi+"_"+sutunAdi; // bağ tablosu için diğer ad, çünkü aynı isimde birden fazla bağ olabilir, karışmasın
+                String bagTablosu = Cevir.vt(Cevir.isim(cokluAlandakiNesneSinifi.getName()));//gerçek bağ tablosu
+                String bagAlani = Cevir.vt((String)wr.getPropertyValue(alanAdi+".bagAlani")); //YAP: bunu vermeden de varsayılan birşey yapsın
                 fromCumlesi.append(" left join "+bagTablosu+" "+bagTablosuDigerAd);
                 fromCumlesi.append(" on "+bagTablosuDigerAd+"."+bagAlani+"_no = "+tabloAdi+".no");
@@ -93,5 +93,5 @@
     public String secmeSorgusuUret(Set baglar, Class nesneSinifi){
         //long t1 = System.currentTimeMillis();
-        String nesneAdi = nesneSinifi.getSimpleName();
+        String nesneAdi = Cevir.isim(nesneSinifi.getName());
         String tabloAdi = Cevir.vt(nesneAdi);
         StringBuffer selectCumlesi = new StringBuffer("select ");
@@ -99,19 +99,19 @@
         tekrarlayanSorguUret(0,tabloAdi,nesneAdi,nesneSinifi,baglar,selectCumlesi,fromCumlesi);
         selectCumlesi.append(" 1=1");
-        //System.out.println("Sorgu üretme zamaný="+(System.currentTimeMillis()-t1));        
+        //System.out.println("Sorgu üretme zamanı="+(System.currentTimeMillis()-t1));        
         return selectCumlesi.toString()+" \n"+fromCumlesi.toString();
     }
     
     /**
-     * Sql select sorgusu üretir, ancak alanlarý almaz count(distinct tabloadi.no) alýr
+     * Sql select sorgusu üretir, ancak alanları almaz count(distinct tabloadi.no) alır
      */
     public String saymaSorgusuUret(Set baglar, Class nesneSinifi){
         //long t1 = System.currentTimeMillis();
-        String nesneAdi = nesneSinifi.getSimpleName();
+        String nesneAdi = Cevir.isim(nesneSinifi.getName());
         String tabloAdi = Cevir.vt(nesneAdi);
         StringBuffer selectCumlesi = new StringBuffer();
         StringBuffer fromCumlesi = new StringBuffer("from "+tabloAdi);
         tekrarlayanSorguUret(0,tabloAdi,nesneAdi,nesneSinifi,baglar,selectCumlesi,fromCumlesi);
-        //System.out.println("Sorgu üretme zamaný="+(System.currentTimeMillis()-t1));        
+        //System.out.println("Sorgu üretme zamanı="+(System.currentTimeMillis()-t1));        
         return "select count(distinct "+tabloAdi+".no) \n"+fromCumlesi.toString();
     }
@@ -123,5 +123,5 @@
     public String guncellemeSorgusuUret(Object nesne){
         BeanWrapper wr = new BeanWrapperImpl(nesne);
-        String nesneAdi = nesne.getClass().getSimpleName();
+        String nesneAdi = Cevir.isim(nesne.getClass().getName());
         String tabloAdi = Cevir.vt(nesneAdi);
         StringBuffer sorgu;
@@ -133,9 +133,9 @@
             StringBuffer degerler = new StringBuffer(" values(");
             for (int i = 0; i < pdArr.length; i++) {
-                Class alanSinifi = pdArr[i].getPropertyType(); //alan sýnýfý
-                String sutunAdi = Cevir.vt(pdArr[i].getName()); //sütun adý
-                String alanAdi = pdArr[i].getName(); //alan adý
-                if (alanAdi.equals("no")) continue; //YAP: Belki squenci bozar, ama bozmuyosa kaldýr
-                if (vtSiniflari.contains(alanSinifi)){ //veritabaný direk alan (Integer,String,Date, vs)
+                Class alanSinifi = pdArr[i].getPropertyType(); //alan sınıfı
+                String sutunAdi = Cevir.vt(pdArr[i].getName()); //sütun adı
+                String alanAdi = pdArr[i].getName(); //alan adı
+                if (alanAdi.equals("no")) continue; //YAP: Belki squenci bozar, ama bozmuyosa kaldır
+                if (vtSiniflari.contains(alanSinifi)){ //veritabanı direk alan (Integer,String,Date, vs)
                     sorgu.append(sutunAdi);
                     sorgu.append(",");
@@ -159,8 +159,8 @@
             sorgu = new StringBuffer("update "+tabloAdi+" set ");
             for (int i = 0; i < pdArr.length; i++) {
-                Class alanSinifi = pdArr[i].getPropertyType(); //alan sýnýfý
-                String sutunAdi = Cevir.vt(pdArr[i].getName()); //sütun adý
-                String alanAdi = pdArr[i].getName(); //alan adý
-                if (vtSiniflari.contains(alanSinifi)){ //veritabaný direk alan (Integer,String,Date, vs)
+                Class alanSinifi = pdArr[i].getPropertyType(); //alan sınıfı
+                String sutunAdi = Cevir.vt(pdArr[i].getName()); //sütun adı
+                String alanAdi = pdArr[i].getName(); //alan adı
+                if (vtSiniflari.contains(alanSinifi)){ //veritabanı direk alan (Integer,String,Date, vs)
                     sorgu.append(sutunAdi+"=:"+alanAdi);
                     sorgu.append(",");
Index: /trunk/fmgVen/src/net/fmg/ven/Ven.java
===================================================================
--- /trunk/fmgVen/src/net/fmg/ven/Ven.java	(revision 20)
+++ /trunk/fmgVen/src/net/fmg/ven/Ven.java	(revision 30)
@@ -3,7 +3,7 @@
  *
  * Created on December 18, 2006, 5:58 PM
- * (4.12.06 tarihli SpringDaoDeneme çalýþmasýndan derlenmiþtir)
+ * (4.12.06 tarihli SpringDaoDeneme çalışmasından derlenmiştir)
  *
- * Ven - Ayar Yerine Gelenek veritabaný eriþim nesnesi
+ * Ven - Ayar Yerine Gelenek veritabanı erişim nesnesi
  */
 
@@ -24,5 +24,5 @@
 
 /**
- * Veritabaný eriþim nesnesi temel sýnýf
+ * Veritabanı erişim nesnesi temel sınıf
  * @author Fatih Mehmet Güler
  */
@@ -42,11 +42,11 @@
     
     /**
-     * Kullaným No: O kullanýma göre otomatik tespit edeceði baðlarý numaralandýrýr
-     * <p> ÖNEMLÝ: daha bitmedi :)
+     * Kullanım No: O kullanıma göre otomatik tespit edeceği bağları numaralandırır
+     * <p> ÖNEMLİ: daha bitmedi :)
      */
     public List nesneleriAl(Class nesneSinifi, Integer kullanimNo){
         Set baglar = new HashSet();
         kullanimlar.put(kullanimNo,baglar);
-        baglar.add(nesneSinifi.getSimpleName());
+        baglar.add(Cevir.isim(nesneSinifi.getName()));
         
         String sorgu = uretici.secmeSorgusuUret(baglar, nesneSinifi);
@@ -58,5 +58,5 @@
     
     /**
-     * Gönderilen baðlara göre nesneyi iliþkileriyle birlikte veritabanýndan getirir
+     * Gönderilen bağlara göre nesneyi ilişkileriyle birlikte veritabanından getirir
      */
     public List nesneleriAl(Class nesneSinifi, Set baglar){
@@ -69,5 +69,5 @@
     
     /**
-     * Gönderilen baðlara göre nesneyi iliþkileriyle birlikte verilen ölçüte göre veritabanýndan getirir
+     * Gönderilen bağlara göre nesneyi ilişkileriyle birlikte verilen ölçüte göre veritabanından getirir
      * Verilen ölçütlere göre
      */
@@ -83,5 +83,5 @@
     
     /**
-     * Gönderilen baðlara göre nesneyi iliþkileriyle birlikte verilen ölçüte göre veritabanýndan kaç satýr olacaðýný sayar
+     * Gönderilen bağlara göre nesneyi ilişkileriyle birlikte verilen ölçüte göre veritabanından kaç satır olacağını sayar
      * Verilen ölçütlere göre
      */
@@ -94,5 +94,5 @@
     
     /**
-     * Gönderilen baðlara göre nesneyi iliþkileriyle birlikte verilen ölçüte göre veritabanýndan kaç satýr olacaðýný sayar
+     * Gönderilen bağlara göre nesneyi ilişkileriyle birlikte verilen ölçüte göre veritabanından kaç satır olacağını sayar
      * Verilen ölçütlere göre
      */
@@ -106,10 +106,10 @@
     
     /**
-     * Gönderilen baðlara göre nesneyi iliþkileriyle birlikte veritabanýndan getirir
+     * Gönderilen bağlara göre nesneyi ilişkileriyle birlikte veritabanından getirir
      * <p> Sadece Nesne
      */
     public Object nesneAl(Class nesneSinifi, Integer no, Set baglar){
         String sorgu = uretici.secmeSorgusuUret(baglar, nesneSinifi);
-        Olcut olcut = new Olcut().ekle("and "+Cevir.vt(nesneSinifi.getSimpleName())+".no = :___no").ekle("___no",no);
+        Olcut olcut = new Olcut().ekle("and "+Cevir.vt(Cevir.isim(nesneSinifi.getName()))+".no = :___no").ekle("___no",no);
         sorgu += " where 1=1"+olcut.olcutleriAl();
         if(hataAyiklama) System.out.println("SQL: "+sorgu);
@@ -122,10 +122,10 @@
     
     /**
-     * Gönderilen baðlara göre nesneyi iliþkileriyle birlikte verilen ölçüte göre veritabanýndan getirir
+     * Gönderilen bağlara göre nesneyi ilişkileriyle birlikte verilen ölçüte göre veritabanından getirir
      * <p> Sadece Nesne, ölçütlere göre
      */
     public Object nesneAl(Class nesneSinifi, Integer no, Set baglar, Olcut olcut){
         String sorgu = uretici.secmeSorgusuUret(baglar, nesneSinifi);
-        sorgu += " where 1=1 and "+Cevir.vt(nesneSinifi.getSimpleName())+".no = :___no "+olcut.olcutleriAl(); //No diðer ölçütlerden önce gelmeli order-limit için
+        sorgu += " where 1=1 and "+Cevir.vt(Cevir.isim(nesneSinifi.getName()))+".no = :___no "+olcut.olcutleriAl(); //No diğer ölçütlerden önce gelmeli order-limit için
         olcut.ekle("___no",no);
         if(hataAyiklama) System.out.println("SQL: "+sorgu);
@@ -142,13 +142,13 @@
         SqlParameterSource parametreKaynagi = new BeanPropertySqlParameterSource(nesne);
         sablon.update(sorgu,parametreKaynagi);
-        //YAP: yeni eklenenin nosunu almak için daha etkin bir yöntem bulunabilir (üreticinin içinde deki beanwrapper kullanýlabilir vs)
+        //YAP: yeni eklenenin nosunu almak için daha etkin bir yöntem bulunabilir (üreticinin içinde deki beanwrapper kullanılabilir vs)
         BeanWrapper wr = new BeanWrapperImpl(nesne);
         if(wr.getPropertyValue("no")==null){            
-            wr.setPropertyValue("no",new Integer(sablon.queryForInt("select currval('"+Cevir.vt(nesne.getClass().getSimpleName())+"_no')", new HashMap())));
+            wr.setPropertyValue("no",new Integer(sablon.queryForInt("select currval('"+Cevir.vt(Cevir.isim(nesne.getClass().getName()))+"_no')", new HashMap())));
         }
     }
     
     public void nesneSil(Integer no, Class nesneSinifi){
-        String sorgu = "delete from "+Cevir.vt(nesneSinifi.getSimpleName())+" where no = :no ;";
+        String sorgu = "delete from "+Cevir.vt(Cevir.isim(nesneSinifi.getName()))+" where no = :no ;";
         Map parametreler = new HashMap(2);
         parametreler.put("no",no);
@@ -158,5 +158,5 @@
     //SETTERS--------------------------------------------
     public void setDataSource(DataSource dataSource){
-        if (dataSource==null) throw new RuntimeException("DataSource null olamaz!!! Bu koþullar altýnda daha fazla çalýþamam :)");
+        if (dataSource==null) throw new RuntimeException("DataSource null olamaz!!! Bu koşullar altında daha fazla çalışamam :)");
         this.sablon = new NamedParameterJdbcTemplate(dataSource);
         this.eslestirici.setSablon(sablon);
Index: /trunk/fmgVen/src/net/fmg/ven/arac/Cevir.java
===================================================================
--- /trunk/fmgVen/src/net/fmg/ven/arac/Cevir.java	(revision 20)
+++ /trunk/fmgVen/src/net/fmg/ven/arac/Cevir.java	(revision 30)
@@ -3,7 +3,7 @@
  *
  * Created on December 18, 2006, 10:51 AM
- * (4.12.06 tarihli SpringDaoDeneme çalýþmasýndan derlenmiþtir)
+ * (4.12.06 tarihli SpringDaoDeneme çalışmasından derlenmiştir)
  *
- * Ven - Ayar Yerine Gelenek veritabaný eriþim nesnesi
+ * Ven - Ayar Yerine Gelenek veritabanı erişim nesnesi
  */
 
@@ -13,5 +13,5 @@
 
 /**
- * Deve harflerle yazýlmýþ metni veritabaný þekline çevirir
+ * Deve harflerle yazılmış metni veritabanı şekline çevirir
  * @author Fatih Mehmet Güler
  */
@@ -35,4 +35,10 @@
         return sonuc.toString();
     }
+
+    public static String isim(String isim) {
+        int i = isim.lastIndexOf(".");
+        if (i < 0) return isim;
+        return isim.substring(i + 1);
+    }
     
 }
Index: /trunk/fmgVen/src/net/fmg/ven/arac/SinifBildirenLinkedList.java
===================================================================
--- /trunk/fmgVen/src/net/fmg/ven/arac/SinifBildirenLinkedList.java	(revision 20)
+++ /trunk/fmgVen/src/net/fmg/ven/arac/SinifBildirenLinkedList.java	(revision 30)
@@ -12,5 +12,5 @@
 
 /**
- * Ýçinde tuttuðu nesne türünü bildiren linked list
+ * İçinde tuttuğu nesne türünü bildiren linked list
  * @author Fatih
  */
@@ -23,17 +23,17 @@
      */
     public SinifBildirenLinkedList() {                
-        System.out.println("FmgList, normal LinkedList kipinde çalýþýyor...");
+        System.out.println("FmgList, normal LinkedList kipinde çalışıyor...");
     }
     
     /**
-     * içindeki bileþen türü sýnýfý belirt
+     * içindeki bileşen türü sınıfı belirt
      */
     public SinifBildirenLinkedList(Class nesneSinifi) {
         this.nesneSinifi = nesneSinifi;
-        System.out.println("**Uyarý-> bileþen alaný verilmeden çözme henüz yapýlmadý, sorgunuz çalýþmayacak");
+        System.out.println("**Uyarı-> bileşen alanı verilmeden çözme henüz yapılmadı, sorgunuz çalışmayacak");
     }
     
     /**
-     * içindeki bileþen türü sýnýfý ve o sýnýftaki hangi alana birleþtiðini belirt
+     * içindeki bileşen türü sınıfı ve o sınıftaki hangi alana birleştiğini belirt
      */
     public SinifBildirenLinkedList(Class nesneSinifi, String bagAlani) {
@@ -50,7 +50,7 @@
     }
 
-    //zorlamaya gerek yok, sadece türünü belirlemek çabamýz
+    //zorlamaya gerek yok, sadece türünü belirlemek çabamız
     //public boolean add(E o) {
-    //    if (o.getClass()!=nesneSinifi) throw new RuntimeException("Desteklenmeyen bileþen türü!");        
+    //    if (o.getClass()!=nesneSinifi) throw new RuntimeException("Desteklenmeyen bileşen türü!");        
     //    return super.add(o);
     //}
Index: /trunk/fmgVen/test/com/fmguler/ven/LiquibaseUtil.java
===================================================================
--- /trunk/fmgVen/test/com/fmguler/ven/LiquibaseUtil.java	(revision 30)
+++ /trunk/fmgVen/test/com/fmguler/ven/LiquibaseUtil.java	(revision 30)
@@ -0,0 +1,98 @@
+/*
+ *  fmgVen - A Convention over Configuration Java ORM Tool
+ *  Copyright 2011 Fatih Mehmet Güler
+ * 
+ *  Licensed under the Apache License, Version 2.0 (the "License");
+ *  you may not use this file except in compliance with the License.
+ *  You may obtain a copy of the License at
+ * 
+ *       http://www.apache.org/licenses/LICENSE-2.0
+ * 
+ *  Unless required by applicable law or agreed to in writing, software
+ *  distributed under the License is distributed on an "AS IS" BASIS,
+ *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ *  See the License for the specific language governing permissions and
+ *  limitations under the License.
+ *  under the License.
+ */
+package com.fmguler.ven;
+
+import java.sql.SQLException;
+import java.util.Locale;
+import javax.sql.DataSource;
+import liquibase.FileSystemFileOpener;
+import liquibase.Liquibase;
+import liquibase.database.Database;
+import liquibase.database.DatabaseFactory;
+import liquibase.exception.JDBCException;
+import liquibase.exception.LiquibaseException;
+import org.springframework.jdbc.datasource.DriverManagerDataSource;
+
+/**
+ * Database utilities for testing
+ * 
+ * @author Fatih Mehmet Güler
+ */
+public class LiquibaseUtil {
+    /**
+     * @return DataSource for the test database
+     */
+    public static DataSource getDataSource() {
+        DriverManagerDataSource ds = new DriverManagerDataSource();
+        ds.setDriverClassName("org.postgresql.Driver");
+        ds.setUsername("postgres");
+        ds.setPassword("qwerty");
+        ds.setUrl("jdbc:postgresql://127.0.0.1:5432/ven-test");
+        return ds;
+    }
+
+    /**
+     * Build the test database
+     */
+    public static void buildDatabase() {
+        try {
+            Locale currLocale = Locale.getDefault();
+            Locale.setDefault(Locale.ENGLISH);
+            Database database = DatabaseFactory.getInstance().findCorrectDatabaseImplementation(getDataSource().getConnection());
+            Liquibase liquibase = new Liquibase("etc/test-db/test-db-changelog.xml", new FileSystemFileOpener(), database);
+            liquibase.update("");
+            Locale.setDefault(currLocale);
+        } catch (SQLException ex) {
+            ex.printStackTrace();
+        } catch (JDBCException ex) {
+            ex.printStackTrace();
+        } catch (LiquibaseException ex) {
+            ex.printStackTrace();
+        }
+    }
+
+    /**
+     * Undo all changes in the test database
+     */
+    public static void rollbackDatabase(String tag) {
+        try {
+            Locale currLocale = Locale.getDefault();
+            Locale.setDefault(Locale.ENGLISH);
+            Database database = DatabaseFactory.getInstance().findCorrectDatabaseImplementation(getDataSource().getConnection());
+            Liquibase liquibase = new Liquibase("etc/test-db/test-db-changelog.xml", new FileSystemFileOpener(), database);
+            liquibase.rollback(tag, "");
+            Locale.setDefault(currLocale);
+        } catch (SQLException ex) {
+            ex.printStackTrace();
+        } catch (JDBCException ex) {
+            ex.printStackTrace();
+        } catch (LiquibaseException ex) {
+            ex.printStackTrace();
+        }
+    }
+
+    /**
+     * Quick test
+     */
+    public static void main(String[] args) {
+        //buildDatabase();
+        //rollbackDatabase("tag-no-data");
+        rollbackDatabase("tag-init");
+
+    }
+}
